<?php

/**
 * collect content from all following pages from a defined start page onwards
 *
 * @module          content_collector
 * @author          Wolfgang Studer
 * @copyright       2015-2015 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 2.00.000 | 2015-11-29
 */

// include class.secure.php to protect this file and the whole CMS!
if ( defined('LEPTON_PATH') == TRUE ):	
	include(LEPTON_PATH.'/framework/class.secure.php');
else:
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))):
		$root .= $oneback;
		$level += 1;
	endwhile;
	
	if (file_exists($root.'/framework/class.secure.php')):
		include($root.'/framework/class.secure.php');
	else:
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	endif;
endif;
// end include class.secure.php


//Modul Description
	$module_description = "Dieses Modul sammelt den Inhalt aller Seiten ausgehend von einer Start-Seite und zeigt den gesammelten Inhalt an.";

//Variables for the backend
	$MOD_CONTENT_COLLECTOR['START_FROM_PAGE']		= "Start von Seite";
	$MOD_CONTENT_COLLECTOR['RUN_WITH_MENU']		= "Verwende Menu";
	$MOD_CONTENT_COLLECTOR['ADDON_PAGE_START']		= "Vor jeder Seite";
	$MOD_CONTENT_COLLECTOR['ADDON_SECTION_START']	= "Vor jedem Abschnitt";
	$MOD_CONTENT_COLLECTOR['ADDON_SECTION_END']	= "Nach jedem Abschnitt";
	$MOD_CONTENT_COLLECTOR['ADDON_PAGE_END']		= "Nach jeder Seite";

	$MOD_CONTENT_COLLECTOR['SM2_ROOT']				= "SM2_ROOT";
	$MOD_CONTENT_COLLECTOR['SM2_ALLMENU']			= "SM2_ALLMENU";

	$MOD_CONTENT_COLLECTOR['MISSING_PERMISSION']	= "!!! Keine Zugriffsrechte !!!";
	$MOD_CONTENT_COLLECTOR['PAGE_NOT_VISIBLE']		= "!!! Diese Seite wird im Frontend nicht angezeigt !!!";
	$MOD_CONTENT_COLLECTOR['DELETED_PAGE']			= "!!! Seite als gel&ouml;scht markiert !!!";
	$MOD_CONTENT_COLLECTOR['START_LATER']			= "!!! Abschnitt ist noch nicht g&uuml;ltig !!!";
	$MOD_CONTENT_COLLECTOR['END_PASSED']			= "!!! Abschnitt ist nicht mehr g&uuml;ltig !!!";
	$MOD_CONTENT_COLLECTOR['INVALID_MODULE']		= "!!! Dieses Modul wird nicht ber&uuml;cksichtigt !!!";

	$MOD_CONTENT_COLLECTOR['ERROR_CREATE_FIRST']	= "Bitte zuerst speichern!";
	$MOD_CONTENT_COLLECTOR['ERROR_MISSING_PAGE']	= "Der Wert f&uuml;r '" . $MOD_CONTENT_COLLECTOR['START_FROM_PAGE'] . "' fehlt!";
	$MOD_CONTENT_COLLECTOR['ERROR_MISSING_MENU']	= "Der Wert f&uuml;r '" . $MOD_CONTENT_COLLECTOR['RUN_WITH_MENU'] . "' fehlt!";

	$MOD_CONTENT_COLLECTOR['PLACEHOLDERS']			= "Platzhalter";
	$MOD_CONTENT_COLLECTOR['PLACEHOLDERS_TEXT']	= "Folgende Platzhalter sind verf&uuml;gbar:";
	$MOD_CONTENT_COLLECTOR['PLACEHOLDERS_SHOW']	= "Zeigen";

	$MOD_CONTENT_COLLECTOR['IN_EX_CLUDE']			= "Seiten & Abschnitte";
	$MOD_CONTENT_COLLECTOR['IN_EX_CLUDE_SELECT']	= "";
	$MOD_CONTENT_COLLECTOR['INCLUDE']				= "Nur die markierten";
	$MOD_CONTENT_COLLECTOR['EXCLUDE']				= "Alle ausser den markierten";
	$MOD_CONTENT_COLLECTOR['SELECT']				= "Ausw&auml;hlen";
	$MOD_CONTENT_COLLECTOR['SELECT_NOTE']			= "ACHTUNG: Ungespeicherte Daten gehen beim Klick auf den Button verloren!";

	$MOD_CONTENT_COLLECTOR['SELECT_NOTE_2']		= "ACHTUNG: Aufgrund verschiedener Gr&uuml;nde kann es sein, dass Seiten und/oder Abschnitte auch dann nicht verwendet werden, obwohl du diese nicht expliziert von der Verwendung ausgeschlossen hast.<br/>";
	$MOD_CONTENT_COLLECTOR['SELECT_NOTE_2']	   .= "Gr&uuml;nde daf&uuml;r k&ouml;nnen sein :<br/>";
	$MOD_CONTENT_COLLECTOR['SELECT_NOTE_2']	   .= "- Besucher hat nicht die entsprechende Berechtigung<br/>";
	$MOD_CONTENT_COLLECTOR['SELECT_NOTE_2']	   .= "- Seite wurde als gel&ouml;scht markiert<br/>";
	$MOD_CONTENT_COLLECTOR['SELECT_NOTE_2']	   .= "- Der Abschnitt ist mittlerweile nicht mehr g&uuml;ltig<br/>";
	$MOD_CONTENT_COLLECTOR['SELECT_NOTE_2']	   .= "...";

?>
