<?php

/**
 * collect content from all following pages from a defined start page onwards
 *
 * @module          content_collector
 * @author          Wolfgang Studer
 * @copyright       2015-2015 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 2.00.000 | 2015-11-29
 */

// include class.secure.php to protect this file and the whole CMS!
if ( defined('LEPTON_PATH') == TRUE ):	
	include(LEPTON_PATH.'/framework/class.secure.php');
else:
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))):
		$root .= $oneback;
		$level += 1;
	endwhile;
	
	if (file_exists($root.'/framework/class.secure.php')):
		include($root.'/framework/class.secure.php');
	else:
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	endif;
endif;
// end include class.secure.php


// extend placeholder array at general level
	$placeholders[ '{{ DATE }}' ]				= date(DATE_FORMAT, $now );
	$placeholders[ '{{ TIME }}' ]				= date(TIME_FORMAT, $now );
	$placeholders[ '{{ DOMAIN_URL }}' ]			= LEPTON_URL;
	$placeholders[ '{{ WEBSITE_TITLE }}' ]		= WEBSITE_TITLE;
	$placeholders[ '{{ USER_DISPLAY_NAME }}' ]	= $wb->get_display_name();
	$placeholders[ '{{ PAGES_DIRECTORY }}' ]	= PAGES_DIRECTORY;
	$placeholders[ '{{ PAGE_EXTENSION }}' ]		= PAGE_EXTENSION;

?>
