<?php

/**
 * collect content from all following pages from a defined start page onwards
 *
 * @module          content_collector
 * @author          Wolfgang Studer
 * @copyright       2015-2015 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 2.00.000 | 2015-11-29
 */

// include class.secure.php to protect this file and the whole CMS!
if ( defined('LEPTON_PATH') == TRUE ):	
	include(LEPTON_PATH.'/framework/class.secure.php');
else:
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))):
		$root .= $oneback;
		$level += 1;
	endwhile;
	
	if (file_exists($root.'/framework/class.secure.php')):
		include($root.'/framework/class.secure.php');
	else:
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	endif;
endif;
// end include class.secure.php


	require_once('info.php');

// first load the default texts
	$lang = (dirname(__FILE__))."/languages/". LANGUAGE .".php";
	require_once ( file_exists($lang) == TRUE ? $lang : (dirname(__FILE__))."/languages/EN.php" );

// then load additional/replacements
	if (isset ($wb)):
		// set the correct language-file for frontend
		$filename = LEPTON_PATH.'/templates/'.DEFAULT_TEMPLATE.'/frontend/'.$module_directory.'/languages/'.LANGUAGE.'.php';
	else:
		// load the correct language-file for backend
		$filename = LEPTON_PATH.'/templates/'.DEFAULT_THEME.'/backend/'.$module_directory.'/languages/'.LANGUAGE.'.php';
	endif;

	if ( file_exists ( $filename ) == TRUE ):
		require_once ( $filename );
	endif;

?>
